%define fw_version 5.24

Summary:	KDE Frameworks 5 KNotify configuration system module
Name:		knotifyconfig
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcompletion-devel >= %{version}
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kconfigwidgets-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	knotifications-devel >= %{version}
BuildRequires:	kservice-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 KNotify configuration system module.

KNotifyConfig provides a configuration dialog for desktop notifications which
can be embedded in your application.

#----------------------------------------------------------------------------

%package i18n
Summary:	KNotifyConfig translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KNotifyConfig translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5notifyconfig_major 5
%define libkf5notifyconfig %mklibname kf5notifyconfig %{kf5notifyconfig_major}

%package -n %{libkf5notifyconfig}
Summary:	KDE Frameworks 5 KNotify configuration system shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5notifyconfig}
KDE Frameworks 5 KNotify configuration system shared library.

%files -n %{libkf5notifyconfig}
%{_kde5_libdir}/libKF5NotifyConfig.so.%{kf5notifyconfig_major}*

#----------------------------------------------------------------------------

%define devkf5notifyconfig %mklibname kf5notifyconfig -d

%package -n %{devkf5notifyconfig}
Summary:	Development files for KDE Frameworks 5 KNotify configuration system module
Group:		Development/KDE and Qt
Requires:	%{libkf5notifyconfig} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5notifyconfig-devel = %{version}

%description -n %{devkf5notifyconfig}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5notifyconfig}
%{_kde5_includedir}/KF5/KNotifyConfig
%{_kde5_includedir}/KF5/knotifyconfig_version.h
%{_kde5_libdir}/cmake/KF5NotifyConfig
%{_kde5_libdir}/libKF5NotifyConfig.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b1698cd) New version 5.24.0


